@echo off
cls


REM Check if drive exists
set drive=C:
if not exist %DRIVE%\nul goto ddrive
disksize %DRIVE% 1000000 
if not errorlevel 1 goto continue

:ddrive
set drive=D:
if not exist %DRIVE%\nul goto edrive
disksize %DRIVE% 1000000 
if not errorlevel 1 goto continue

:edrive
set drive=E:
if not exist %DRIVE%\nul goto fdrive
disksize %DRIVE% 1000000 
if not errorlevel 1 goto continue

:fdrive
set drive=F:
if not exist %DRIVE%\nul goto nodrive
disksize %DRIVE% 1000000 
if errorlevel 1 goto usage2


:continue
REM Checking for Proper Drive
if not exist pool.exe goto usage3

REM Creating Install Directory
md %DRIVE%\vpool
if not exist %DRIVE%\vpool\nul goto error1

REM Installing UPDATE Software
:install
copy *.* %DRIVE%\vpool

Rem Checking for errors
if errorlevel 1 goto error2

goto end

:usage
cls
echo You must supply the DRIVE you wish to install the Virtual Pool demo to.
echo EXAMPLE:  INSTALL C:
goto EOF

:usage2
cls
echo The Virtual Pool Demo Requires 1 Megabyte of Hard drive space to install.
echo Drive %DRIVE% doesn't have enough space to install Virtual Pool.
echo Please free up some space on the %DRIVE% Drive and try again.
goto EOF

:usage3
cls
echo This install must be run from the same DRIVE/DIRECTORY that the 
echo Virtual Pool Demo files are located in.  Please change to that
echo DRIVE/DIRECTORY and run INSTALL again.
goto EOF

:error1
cls
echo The install was unable to create the installation directory.
echo This means that you do not have enough disk space or that you forgot
echo to put a : on the drive letter to install to, or the installation
echo directory already exists.  If the directory %DRIVE%\VPOOL already exists
echo on your hard drive then use the -O command to overwrite the existing
echo directory.
echo EXAMPLE:  INSTALL C: -O
if "%2" == "-o" goto install
if "%2" == "-O" goto install
if "%2" == "o" goto install
if "%2" == "O" goto install
goto EOF

:error2
cls
echo An Error has occured while installing the software, you may have
echo a bad copy.  Please try the install again, if it fails then get
echo another copy of this update.
goto EOF


:nodrive
cls
@echo Install from the DOS prompt instead!!!!
@echo Change to the following directory: \demos\vpool
@echo Copy the contents of this directory to a directory on your Harddrive
@echo and then type POOL
@pause
goto EOF

:end
cls

echo Installation Complete!


%DRIVE%

cd \vpool


echo type POOL to run the demonstration

pool

:EOF
set drive=
pause
